# class REXML::Declaration

This is an abstract class. You never use this directly; it serves as a parent class for the specific declarations.

### Public Class Methods

new(src) click to toggle source
Calls superclass method `REXML::Child::new`

    # File lib/rexml/doctype.rb, line 252
    def initialize src
      super()
      @string = src
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/rexml/doctype.rb, line 257
    def to_s
      @string+'>'
    end

write( output, indent ) click to toggle source

## DEPRECATED¶ ↑

See `REXML::Formatters`

    # File lib/rexml/doctype.rb, line 264
    def write( output, indent )
      output << to_s
    end